    var IntervalCapture = null;
    var BASE_URL = "http://155.33.224.29";
    var NEU_CAM_URL = BASE_URL + ":8080/";
    var NEU_PREVIEW_URL = "http://155.33.224.29";

    var cams = [
        {
            "num": "1", "source": "TheBostonWebcam", "name": "Boston Harbor",
            "preview": "http://thebostonwebcam.com/bostonharbor/thumbnail1.jpg",
            "stream": "http://thebostonwebcam.com/bostonharbor/thumbnail1.jpg"
        },
        {
            "num": "2", "source": "Sheraton", "name": "Harbor Islands",
            "preview": "http://www.hostacam.com/sheratonboston/cam_images/cam1img000M.jpg",
            "stream": "http://sheratonbostonipcams.hostacam.com:24752/video.mjpg"
        },
        {
            "num": "3", "source": "Sheraton", "name": "Charles River",
            "preview": "http://www.hostacam.com/sheratonboston/cam_images/cam2img000M.jpg",
            "stream": "http://sheratonbostonipcams.hostacam.com:24762/video.mjpg"
        },
        {
            "num": "4", "source": "Sheraton", "name": "Fenway Park",
            "preview": "http://www.hostacam.com/sheratonboston/cam_images/cam3img000M.jpg",
            "stream": "http://sheratonbostonipcams.hostacam.com:24772/video.mjpg"
        },
        {
            "num": "5", "source": "Insecam", name: "Boston Common",
            "preview": "http://73.219.239.63:84/cgi-bin/camera?resolution=640&quality=1&Language=0",
            "stream": "http://73.219.239.63:84/cgi-bin/camera?resolution=640&quality=1&Language=0"
        },
        {
            "num": "6", "source": "Insecam", name: "Downtown Crossing (NOTE: I did not title this camera feed!)",
            "preview": "http://73.219.239.63:85/cgi-bin/camera?resolution=640&quality=1&Language=0",
            "stream": "http://73.219.239.63:85/cgi-bin/camera?resolution=640&quality=1&Language=0"
        },
        {
            "num": "7", "source": "NEU", "name": "Marino Center Exterior",
            "preview": NEU_PREVIEW_URL + "/Marino/marinocam.jpg",
            "stream": NEU_CAM_URL + "1/video.cgi"
        },
        // Broken
        // {
            // "num": "2", "source": "NEU", "name": "Krentzman Quad",
            // "preview": NEU_PREVIEW_URL + "/Marino/marinocam.jpg",
            // "stream": NEU_CAM_URL + "2/video.cgi"
        // },
        {
            "num": "8", "source": "NEU", "name": "Curry Student Center",
            "preview": NEU_PREVIEW_URL + "/Marino/marinocam.jpg",
            "stream": NEU_CAM_URL + "3/video.cgi"
        },
        {
            "num": "9", "source": "NEU", "name": "Marino Center Interior",
            "preview": NEU_PREVIEW_URL + "/Marinofoodcourt/marinocourtcam.jpg",
            "stream": NEU_CAM_URL + "4/video.cgi"
        },
        {
            "num": "10", "source": "NEU", "name": "Centennial Common",
            "preview": NEU_PREVIEW_URL + "/Centennial/centennialcam.jpg",
            "stream": NEU_CAM_URL + "5/video.cgi"
        },
        {
            "num": "11", "source": "NEU", "name": "Interdisciplinary Science and Engineering Complex",
            "preview": NEU_PREVIEW_URL + "/Centennial/centennialcam.jpg",
            "stream": NEU_CAM_URL + "6/video.cgi"
        },
        // pubtoken periodically expires...
        // {
            // "num": "12", "source": "TrafficLand", "name": "Zakim Bridge",
            // "preview": "http://ie.trafficland.com/11460/full?system=trafficland-www&pubtoken=0343e11082ff9dfba72c174caaa95ed71e8ceaf8664e445f64371b08919b2f68&refreshRate=30000",
            // "stream": "http://ie.trafficland.com/11460/full?system=trafficland-www&pubtoken=0343e11082ff9dfba72c174caaa95ed71e8ceaf8664e445f64371b08919b2f68&refreshRate=30000"
        // },

    ];

    function camurl(cam) {
        if (cam.source === "NEU") {
            return cam.stream;
        } else if (cam.source === "Sheraton") {
            // var now = new Date();
            // return cam.stream + "?dte=" + now.getTime();
            return cam.stream;
        } else if (cam.source === "TrafficLand") {
            return cam.stream + "&rnd=" + Math.floor(Math.random() * 100000);
        } else if (cam.source === "Insecam" || cam.source === "TheBostonWebcam") {
            var now = new Date();
            return cam.stream + "?" + now.getTime();
        }
    }

    function setupcams() {
        $(cams).each(function() {
            camview = $('<img>').attr('src', camurl(this));
            camview.attr('alt', this.name).attr('title', this.name).attr('id', 'cam-' + this.num);
            $('#cambox').append(camview);
        });
    }

    $(setupcams);
    var streaming = window.setInterval(function() {
        $(cams).each(function() {
            camview = $('#cambox #cam-' + this.num);
            camview.attr('src', camurl(this));
        });
    }, 1000);
